Mail::Box::Locker::DotLock(3)

NAME
Mail::Box::Locker::DotLock - lock a folder with a separate file

INHERITANCE
 Mail::Box::Locker::DotLock
   is a Mail::Box::Locker
   is a Mail::Reporter

SYNOPSIS
  See Mail::Box::Locker

DESCRIPTION
The "::DotLock" object lock the folder by creating a file with the same name as the folder, extended by ".lock".

Extends "DESCRIPTION" in Mail::Box::Locker.

METHODS
Extends "METHODS" in Mail::Box::Locker.

  Constructors
Extends "Constructors" in Mail::Box::Locker.

$class->new(%options)
    Name of the file to lock. By default, the folder's name is extended with ".lock". Improves base, see "METHODS" in Mail::Box::Locker

     -Option      --Defined in       --Default
      dotlock_file                     undef
      expires       Mail::Box::Locker  1 hour
      file          Mail::Box::Locker  <folderfile>.lock
      folder        Mail::Box::Locker  <C<undef>>
      method        Mail::Box::Locker  'DOTLOCK'
      timeout       Mail::Box::Locker  10

    dotlock_file => $file
        Alternative name for "file", especially useful to confusion when the multi locker is used.

    expires => $seconds
    file => $file
    folder => $folder
    method => $name|CLASS|\@names
    timeout => $seconds|'NOTIMEOUT'

  Attributes
Extends "Attributes" in Mail::Box::Locker.

$obj->expires( [SECONDS] )
    Inherited, see "Attributes" in Mail::Box::Locker

$obj->filename( [$filename] )
    Inherited, see "Attributes" in Mail::Box::Locker

$obj->folder()
    Inherited, see "Attributes" in Mail::Box::Locker

$obj->name()
    Inherited, see "Attributes" in Mail::Box::Locker

$obj->timeout( [SECONDS] )
    Inherited, see "Attributes" in Mail::Box::Locker

  Locking
Extends "Locking" in Mail::Box::Locker.

$obj->hasLock()
    Inherited, see "Locking" in Mail::Box::Locker

$obj->isLocked()
    Inherited, see "Locking" in Mail::Box::Locker

$obj->lock()
    Inherited, see "Locking" in Mail::Box::Locker

$obj->unlock()
    Inherited, see "Locking" in Mail::Box::Locker

  Error handling
Extends "Error handling" in Mail::Box::Locker.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Box::Locker.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Box::Locker

DIAGNOSTICS

Error: Dotlock requires a lock file name.
    Cast by folder()

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

Warning: couldn't remove lockfile $file: $!
    Cast by unlock()

Fault: failed to remove expired lockfile $file: $!
    Cast by lock()

Warning: folder already locked with file $file
    Cast by lock()

Fault: lockfile $file can never be created: $!
    Cast by lock()

Warning: removed expired lockfile $file
    Cast by lock()

SEE ALSO
This module is part of Mail-Box version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.